<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionSortAmmoPile Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/da1/class_action_sort_ammo_pile.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionSortAmmoPile Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionSortAmmoPile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/da1/class_action_sort_ammo_pile.png" usemap="#ActionSortAmmoPile_map" alt=""/>
  <map id="ActionSortAmmoPile_map" name="ActionSortAmmoPile_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afb8067cf92eaa6b3ab9a1f3f03a5a0f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html#afb8067cf92eaa6b3ab9a1f3f03a5a0f1">ActionSortAmmoPile</a> ()</td></tr>
<tr class="separator:afb8067cf92eaa6b3ab9a1f3f03a5a0f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e3f3c91c1fab7f7457eebff996275cc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html#a3e3f3c91c1fab7f7457eebff996275cc">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a3e3f3c91c1fab7f7457eebff996275cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab117543b916c3f1057f4c8a87bcd32f1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html#ab117543b916c3f1057f4c8a87bcd32f1">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ab117543b916c3f1057f4c8a87bcd32f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af370098ec617ddedb0352073a0a2fa6b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html#af370098ec617ddedb0352073a0a2fa6b">OnEndAnimationLoopServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af370098ec617ddedb0352073a0a2fa6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6bf50fca829e2efd4de5f29f5ee9356"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html#ad6bf50fca829e2efd4de5f29f5ee9356">SortAmmo</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ad6bf50fca829e2efd4de5f29f5ee9356"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00009">9</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afb8067cf92eaa6b3ab9a1f3f03a5a0f1" name="afb8067cf92eaa6b3ab9a1f3f03a5a0f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb8067cf92eaa6b3ab9a1f3f03a5a0f1">&#9670;&#160;</a></span>ActionSortAmmoPile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSortAmmoPile::ActionSortAmmoPile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab117543b916c3f1057f4c8a87bcd32f1" name="ab117543b916c3f1057f4c8a87bcd32f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab117543b916c3f1057f4c8a87bcd32f1">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSortAmmoPile::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>

</div>
</div>
<a id="a3e3f3c91c1fab7f7457eebff996275cc" name="a3e3f3c91c1fab7f7457eebff996275cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e3f3c91c1fab7f7457eebff996275cc">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSortAmmoPile::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00018">18</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>

</div>
</div>
<a id="af370098ec617ddedb0352073a0a2fa6b" name="af370098ec617ddedb0352073a0a2fa6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af370098ec617ddedb0352073a0a2fa6b">&#9670;&#160;</a></span>OnEndAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSortAmmoPile::OnEndAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00029">29</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>

</div>
</div>
<a id="ad6bf50fca829e2efd4de5f29f5ee9356" name="ad6bf50fca829e2efd4de5f29f5ee9356"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6bf50fca829e2efd4de5f29f5ee9356">&#9670;&#160;</a></span>SortAmmo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSortAmmoPile::SortAmmo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html#l00034">34</a> of file <a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d2/d96/_action_sort_ammo_pile_8c_source.html">ActionSortAmmoPile.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/da1/class_action_sort_ammo_pile.html">ActionSortAmmoPile</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
